When renaming files, move to next file using tab key.
Needs RevisionPublic

Authored by msciubidlo on Apr 10 2019, 8:44 AM.

Details

Reviewers
ngraham
elvisangelaccio
Group Reviewers
Dolphin
Summary

Some talking points:

  • name of EditResult structure, declaration place, exporting of EditResult stucture

FEATURE: 403931
FEATURE: 269987
BUG: 334533
FIXED-IN: 19.08

Diff Detail

Repository
R318 Dolphin
Lint
Lint Skipped
Unit
Unit Tests Skipped
msciubidlo created this revision.Apr 10 2019, 8:44 AM
Restricted Application added a project: Dolphin. · View Herald TranscriptApr 10 2019, 8:44 AM
Restricted Application added a subscriber: kfm-devel. · View Herald Transcript
msciubidlo requested review of this revision.Apr 10 2019, 8:44 AM
meven edited the summary of this revision. (Show Details)Apr 10 2019, 12:44 PM

It works! Very nice. I'll let other folks do the code review, but I have one behavioral request: could this feature be implemented for Icons view as well? Right now it only appears to work in Compact and Details views. Or would that be too thorny?

Also, if you make the up and down arrow keys do the same when in Compact and Details views, it'll also fix https://bugs.kde.org/show_bug.cgi?id=269987.

but I have one behavioral request: could this feature be implemented for Icons view as well? Right now it only appears to work in Compact and Details views.

It works for me in all 3 views. Renaming last element and pressing tab doesn't go to first element. Maybe that was a case for you in Icons view?

Also, if you make the up and down arrow keys do the same when in Compact and Details views, it'll also fix https://bugs.kde.org/show_bug.cgi?id=269987.

This one is a little bit more tricky because KItemListRoleEditor needs information about view type but is doable.

Copy of talking points that I see from summary:

  • name of EditResult structure, declaration place, exporting of EditResult stucture
  • maybe better solution is DolphinView listening to KItemListRoleEditor keys. This way implementation of bug 269987 would be simple and everything would be in better place?
msciubidlo updated this revision to Diff 56245.Apr 14 2019, 9:04 PM
msciubidlo edited the summary of this revision. (Show Details)

Added support for feature 269987.

what does it means? is it done already?

@msciubidlo See https://community.kde.org/Policies/Commit_Policy#Special_keywords_in_GIT_and_SVN_log_messages

Sorry for the delay, I'll try to have a look at the patch in the next days.

ngraham accepted this revision as: ngraham.Apr 15 2019, 3:18 AM
ngraham edited the summary of this revision. (Show Details)

Nice, this works great! I think it's a very useful and unobtrusive feature. I'll hand this show over to @elvisangelaccio now. :)

This revision is now accepted and ready to land.Apr 15 2019, 3:19 AM
msciubidlo edited the summary of this revision. (Show Details)
elvisangelaccio requested changes to this revision.Apr 21 2019, 11:29 AM

Thanks for the patch. I like the feature but there is something missing: if the next file is out of the visible view, the view doesn't scroll and the rename operation gets canceled.
Even worse, in details view mode it actually tries to rename the invisible file by rendering it above the view header.

This revision now requires changes to proceed.Apr 21 2019, 11:29 AM

Thanks for the patch. I like the feature but there is something missing: if the next file is out of the visible view, the view doesn't scroll and the rename operation gets canceled.

I will try to modify it to show next element and continue renaming if possible.

Even worse, in details view mode it actually tries to rename the invisible file by rendering it above the view header.

That behaviour is currently present in Dolphin. This patch doesn't introduce it or tries to change it.

Ping! Any word on making the requested changes?